<template>
<div class="list">
 <v-text :text="text"></v-text>
  <div class="notify">
      <div class="text">预约备注</div>
      <div class="text1">{{datas.description?datas.description:''}}</div>
    </div>
    <div style="height:62rpx"></div>
 <v-footer :footer="'取消预约'" @footerEmit="cancel"></v-footer>
<v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
</div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import city from '@/utils/city'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import footer from '@/components/footer/footer.vue'
  import text from '@/components/text/text.vue'
  export default {
    data(){
      return{
          appointmentId:'',
          text:[
              {
                  title:'门店名称',
                  text:''
              },
              {
                  title:'预约时间',
                  text:''
              }
          ],
        select: [0, 0],
        region: [Object.keys(city), city[Object.keys(city)[0]]],
        province: '',
        city: '深圳',
        right:config.url + 'right.png',
        flags: false,
        position: { x: 0, y: 0 },
        nx: '', ny: '', dx: '', dy: '', xPum: '', yPum: '',
        nodata:'',
        datas:[],
        unstart:'',
        end:'',
        pendding:'',
        camInList:[],//进行中活动
        camNopList:[],//未开启活动
        camHisList:[],//历史活动
        hintbox: {
          text: "",
          show: false
        },
      }
    },
    components:{
       'v-hintbox' : hintbox,
        'v-footer' : footer,
        'v-text' : text
    },
    methods:{
        cancel(){
          config.href(config.customer.reason+'?appointmentId='+this.appointmentId);
        },
         bindChange (e) {
        if (!e.mp.detail.value || e.mp.detail.value.length < 2) return
        var region = this.region
        var pronIdex = e.mp.detail.value[0]
        var cityIndex = e.mp.detail.value[1]
        this.province = region[0][pronIdex];
        if(this.province === '北京市'|| this.province === '天津市' || this.province === '重庆市' || this.province === '上海市'){
            this.city = this.province;
        }else{
            this.city = region[1][cityIndex];
            

        }
        this.getAjax(this.city);
        console.log(this.province, this.city)
      },
      bindColumnChange (e) {
        if (e.mp.detail.column === 0) {
          var region = this.region
          var province = region[0][e.mp.detail.value]
          this.region = [region[0], city[province]]
          this.select = [e.mp.detail.value, 0]
        }
      },
    
      //可用门店
      store(data){
        config.href(config.customer.order+'?storeId='+data.storeId +'&storename=' +data.storeName);
      },
      //获取地址信息
          getAjax(data){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/appointment/info?openId='+VerificationCodeEntity.OpenId+'&appointmentId=' +data.appointmentId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records){
                that.datas = data.records[0];
                console.log('datas',that.datas);
                that.text[0].text = that.datas.storeName;
                that.text[1].text = that.datas.dateInfo +'  '+ that.datas.appointmentTime;
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
      
    },
    onLoad(data){
      let that = this;
      this.nodata = false;
      this.getAjax(data);
      this.appointmentId = data.appointmentId;
    }

  }
</script>
<style>

</style>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.list {
     .notify{
    margin:0 0.7rem;
    div{
      color:#727171;
      font-size:0.26rem;

    }
    .text1{
        margin-top:0.2rem;
    }
  }
    .title{
        text-align:center;
        color:#727171;
        font-size:0.24rem;
        margin-top:0.36rem;
        margin-bottom:0.34rem;
        display:FLEX;
        margin-left:2.62rem;
        img{
            width:0.11rem;
            height:0.14rem;
            margin-left:0.1rem;
            margin-left:0.05rem;
        }
        .picker{
            color:#727171;
            font-size:0.24rem;
        }
    }
    .item1{
        width: 100%;
        height: 1.97rem;
        background:#fff;
        line-height:1.97rem;
        text-align:center;
        
        div{
             font-size:0.24rem;
             color:#727171;

        }
       
    }
    .item{
        width: 100%;
        height: 1.32rem;
        background:#fff;
        border-bottom:1px solid #EAEAEA;
        padding-top:0.38rem;
        .text1{
            font-size:0.28rem;
             color:#333333;
             
              margin-left:0.68rem;

        }
        .text2{
            font-size:0.24rem;
             color:#727171;
             margin-top:0.27rem;
             margin-left:0.68rem;

        }
       
    }
   
}
</style>
